CRAN Package Check Results for Package MetaIntegrator

Last updated on 2020-07-04 19:47:33 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.1.3 16.24 166.74 182.98 OK
r-devel-linux-x86_64-debian-gcc 2.1.3 10.71 154.37 165.08 OK
r-devel-linux-x86_64-fedora-clang 2.1.3 214.38 NOTE
r-devel-linux-x86_64-fedora-gcc 2.1.3 225.31 NOTE
r-devel-windows-ix86+x86_64 2.1.3 42.00 216.00 258.00 OK
r-patched-linux-x86_64 2.1.3 11.73 158.94 170.67 OK
r-patched-solaris-x86 2.1.3 263.80 NOTE
r-release-linux-x86_64 2.1.3 10.60 164.41 175.01 OK
r-release-osx-x86_64 2.1.3 ERROR
r-release-windows-ix86+x86_64 2.1.3 30.00 155.00 185.00 OK
r-oldrel-osx-x86_64 2.1.3 WARN
r-oldrel-windows-ix86+x86_64 2.1.3 46.00 208.00 254.00 OK

Check Details

Version: 2.1.3
Check: package dependencies
Result: NOTE
    Imports includes 35 non-default packages.
    Importing from so many packages makes the package vulnerable to any of
    them becoming unavailable. Move as many as possible to Suggests and
    use conditionally.
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 2.1.3
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘BiocManager’ ‘DT’ ‘GEOmetadb’ ‘RMySQL’ ‘RSQLite’ ‘gplots’ ‘pheatmap’
     ‘readr’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-oldrel-osx-x86_64

Version: 2.1.3
Check: package dependencies
Result: ERROR
    Package required but not available: ‘GEOmetadb’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-osx-x86_64

Version: 2.1.3
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘BiocStyle’
Flavor: r-oldrel-osx-x86_64

Version: 2.1.3
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘MetaIntegrator.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Quitting from lines 29-30 (MetaIntegrator.Rmd)
    Error: processing vignette 'MetaIntegrator.Rmd' failed with diagnostics:
    there is no package called 'BiocStyle'
    --- failed re-building ‘MetaIntegrator.Rmd’
    
    --- re-building ‘MetaIntegratorRealExample.Rmd’ using rmarkdown_notangle
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    --- finished re-building ‘MetaIntegratorRealExample.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘MetaIntegrator.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-oldrel-osx-x86_64